# Song Requests Buddy

A lightweight web interface that integrates with StreamerSongList to manage and display song requests for streamers. It provides a clean interface to view the song queue, search through available songs, and play videos either from YouTube or local sources.

## Setup

Save the `SongRequestBuddy.html` File into a folder next to your local video files

### Streamer Configuration

To configure the tool for your stream:

1. Open the HTML file in a text editor
2. Locate the setup section at the top of the file
3. Change the `twitchName` constant to your Twitch username:
```javascript
const twitchName = "your_twitch_username";
```

### Customizing Colors
The tool uses a customizable color scheme that can be modified in the CSS section. The following variables can be adjusted:
``` css
:root {
    --bg-primary: #1a1a1a;      /* Main background color */
    --bg-secondary: #242424;    /* Secondary background color */
    --text-primary: #ebdffa;    /* Main text color */
    --accent: #c1aed7;          /* Accent color for buttons */
    --accent-primary: #51386e;  /* Secondary accent color */
}
```
### Setting Up Videos in StreamerSongList
Videos can be added to songs in two ways using the "Capo" field in StreamerSongList:
1. **YouTube Videos**:
    - Add the YouTube URL to the Capo field
    - For multiple versions of the same song, separate URLs with spaces
    - Example: `https://youtube.com/watch?v=XXXXX https://youtube.com/watch?v=YYYYY`

2. **Local Videos**:
    - Add the direct URL to your video file
    - Example: `https://your-server.com/videos/song.mp4`

Note: If no video is set in the Capo field, the interface will display a message with a link to search for the song on YouTube.
